#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'rekanan.akta_title'}
#{/set}

<ul class="breadcrumb">
	<li><a href="@{BerandaCtr.index()}" >&{'rekanan.home'}</a></li>
	<li class="active">&{'rekanan.data_penyedia'}</li>
</ul>
#{menuDataPenyedia /} 
<div class="content">
	#{notifMigrasiSikap /}
    #{alert /}
	#{form @rekanan.AktaCtr.simpan(), id:'formEditPajak', enctype:'multipart/form-data'}
      <div class="page-header"><b>Akta Pendirian</b></div>
      <div class="form-group row">
	    <label class="col-lg-2 col-form-label">Nomor <span class="warning">*</span></label>
	    <div class="col-lg-10">
	      <input type="text" maxlength="40" name="akta.lhk_no" value="${akta?.lhk_no}" class="form-control #{validate 'akta.lhk_no'/}" >
	      <div class="invalid-feedback">#{error 'akta.lhk_no' /}</div>
	    </div>
	  </div>  
	  <div class="form-group row">
	    <label class="col-lg-2 col-form-label">Tanggal Surat <span class="warning">*</span></label>
	    <div class="col-lg-2">
	      <div class="input-group date datepicker">
             <input name="akta.lhk_tanggal" type="text" value="${akta?.lhk_tanggal?.toDatepicker()}" class="form-control datepicker #{validate 'akta.lhk_tanggal'/}"/>
			  <div class="input-group-append"><span class="input-group-text"><i class="fa fa-calendar"></i></span></div>
			  <div class="invalid-feedback">#{error 'akta.lhk_tanggal' /}</div>
          </div>

	    </div>
	  </div> 
	  <div class="form-group row">
	    <label class="col-lg-2 col-form-label">Notaris <span class="warning">*</span></label>
	    <div class="col-lg-10">
	      <input type="text" maxlength=80 name="akta.lhk_notaris" value="${akta?.lhk_notaris}" class="form-control #{validate 'akta.lhk_notaris'/}" >
	      <div class="invalid-feedback">#{error 'akta.lhk_notaris' /}</div>
	    </div>
	  </div>
	<fieldset>
	  <div class="page-header"><b>Akta Perubahan Terakhir</b></div>
	  <div class="form-group row">
	    <label class="col-lg-2 col-form-label">Nomor</label>
	    <div class="col-lg-10">
	      <input type="text" maxlength=40 name="akta_akhir.lhk_no" value="${akta_akhir?.lhk_no}" class="form-control" >
	    </div>
	  </div>	  
	 <div class="form-group row">
	    <label class="col-lg-2 col-form-label">Tanggal Surat</label>
	    <div class="col-lg-2">
			<div class="input-group date datepicker">
             <input name="akta_akhir.lhk_tanggal" type="text" value="${akta_akhir?.lhk_tanggal?.toDatepicker()}" class="form-control datepicker #{validate 'akta_akhir.lhk_tanggal'/}"/>
			  <div class="input-group-append" ><span class="input-group-text"><i class="fa fa-calendar"></i></span></div>
			  <div class="invalid-feedback">#{error 'akta_akhir.lhk_tanggal' /}</div>
          </div>
	    </div>
	  </div> 
	  <div class="form-group row">
	    <label class="col-lg-2 col-form-label">Notaris</label>
	    <div class="col-lg-10">
	      <input type="text" maxlength=80 name="akta_akhir.lhk_notaris" value="${akta_akhir?.lhk_notaris}" class="form-control" >
	    </div>
	  </div>
</fieldset>
	<div class="bs-callout bs-callout-warning">
        <span class="warning">*</span> Data ini wajib diisi.
	</div>
    <div class="form-group row">
    <div class="col-lg-offset-2 col-lg-10">
   		#{saveButton /}
 		</div>
    </div>
	#{/form} 	  
</div>

#{set 'custom_script'}
<script type="text/javascript">  
$(document).on('click', '.removeBtn', function(){
    var obj = $(this);
  	 var value = obj.attr('value');
  	 var versi = obj.attr('versi');   	
  	 $.ajax({
  	 	url: '@{rekanan.AktaCtr.delete_file()}', type:'POST',
  	 	data : {id:value, versi:versi}
  	 }).done(function(){
  	 	obj.parent().remove();
  	 })     
 })
 
#{if !active_user.canEditDataPenyedia}
$(document).ready(function(){
	$("form input").attr('disabled','disabled');
	$("form select").attr('disabled','disabled');
	$("form button.btn-simpan").attr('disabled','disabled');
	$(".removeBtn").hide();
})
#{/if}
</script>
#{/set}